JTS Topology Suite version 1.13

## com.vividsolutions.jts.math
Class Matrix

    java.lang.Object
      com.vividsolutions.jts.math.Matrix

    public class Matrix

extends java.lang.Object

Implements some 2D matrix operations (in particular, solving systems of linear equations).

Author:
  Martin Davis

Constructor Summary
`Matrix()`

Method Summary
`static double[]` `solve(double[][] a, double[] b)` Solves a system of equations using Gaussian Elimination.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Matrix

    public Matrix()

Method Detail

### solve

    public static double[] solve(double[][] a,
                                 double[] b)

  Solves a system of equations using Gaussian Elimination. In order to avoid overhead the algorithm runs in-place on A - if A should not be modified the client must supply a copy.

  Parameters:
    `a` - an nxn matrix in row/column order )modified by this method)
    `b` - a vector of length n
  Returns:
    a vector containing the solution (if any) or null if the system has no or no unique solution
  Throws:
    `java.lang.IllegalArgumentException` - if the matrix is the wrong size

JTS Topology Suite version 1.13